package com.liquidnet.client.admin.web.controller.zhengzai.adam;

import com.liquidnet.client.admin.common.annotation.Log;
import com.liquidnet.client.admin.common.core.controller.BaseController;
import com.liquidnet.client.admin.common.core.domain.AjaxResult;
import com.liquidnet.client.admin.common.core.page.TableDataInfo;
import com.liquidnet.client.admin.common.enums.BusinessType;
import com.liquidnet.client.admin.common.utils.poi.ExcelUtil;
import com.liquidnet.client.admin.zhengzai.adam.service.IAdamUserAdminService;
import com.liquidnet.service.adam.entity.AdamUser;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 用户Controller
 * 
 * @author ruoyi
 * @date 2021-05-24
 */
@Controller
@RequestMapping("local")
public class LocalAdminController extends BaseController
{
    private String prefix = "zhengzai/stone";
    private String prefix2 = "zhengzai/store";

    @Autowired
    private IAdamUserAdminService adamUserService;


    @GetMapping("/integralList")
    public String integralList()
    {
        return prefix + "/integralList";
    }
    @GetMapping("/integralStore")
    public String integralStore()
    {
        return prefix + "/integralStore";
    }
    @GetMapping("/LuckyDraw")
    public String LuckyDraw()
    {
        return prefix + "/LuckyDraw";
    }
    @GetMapping("/integralOrder")
    public String integralOrder()
    {
        return prefix + "/integralOrder";
    }
    @GetMapping("/integralDetail")
    public String integralDetail()
    {
        return prefix + "/integralDetail";
    }
    @GetMapping("/shopList")
    public String shopList()
    {
        return prefix2 + "/shopManage/shopList";
    }
    @GetMapping("/shopDetail")
    public String shopDetail()
    {
        return prefix2 + "/shopManage/shopDetail";
    }
    @GetMapping("/storeClassify")
    public String storeClassify()
    {
        return prefix2 + "/storeClassify/index";
    }
    @GetMapping("/MusicTagStore")
    public String MusicTagStore()
    {
        return prefix2 + "/MusicTagStore/index";
    }
    @GetMapping("/tagStore")
    public String tagStore()
    {
        return prefix2 + "/tagStore/index";
    }
    @GetMapping("/activityList")
    public String activityList()
    {
        return prefix2 + "/placingOrder/activityList";
    }
    @GetMapping("/addNewActivity")
    public String addNewActivity()
    {
        return prefix2 + "/placingOrder/addNewActivity";
    }
    @GetMapping("/activityStoreList")
    public String activityStoreList()
    {
        return prefix2 + "/placingOrder/activityStoreList";
    }
    @GetMapping("/storeDetail")
    public String storeDetail()
    {
        return prefix2 + "/placingOrder/storeDetail";
    }
    @GetMapping("/setGoodsRole")
    public String setGoodsRole()
    {
        return prefix2 + "/placingOrder/setGoodsRole";
    }
    @GetMapping("/selectGoddsTab")
    public String selectGoddsTab()
    {
        return prefix2 + "/placingOrder/selectGoddsTab";
    }
    @GetMapping("/homeSet")
    public String homeSet()
    {
        return prefix2 + "/homeSet/index";
    }
    @GetMapping("/searchStore")
    public String searchStore()
    {
        return prefix2 + "/homeSet/searchStore";
    }
    @GetMapping("/topBanner")
    public String topBanner()
    {
        return prefix2 + "/homeSet/topBanner";
    }
    @GetMapping("/kingArea")
    public String kingArea()
    {
        return prefix2 + "/homeSet/kingArea";
    }
    @GetMapping("/RubikArea")
    public String RubikArea()
    {
        return prefix2 + "/homeSet/RubikArea";
    }
    @GetMapping("/carefullyGoods")
    public String carefullyGoods()
    {
        return prefix2 + "/homeSet/carefullyGoods";
    }
    @GetMapping("/goodsIntersection")
    public String goodsIntersection()
    {
        return prefix2 + "/goodsIntersection/index";
    }

}
